Receive the initial linking of care contexts for a patient
Hosted by the HIP/HIU, not by ABDM. ABDM calls this endpoint at the callback URL registered for your bridge, so the path below is relative to that URL.
The on-init API endpoint allows HIUs to receive and process the initial linking of care contexts associated with a patient. When a request is made to this endpoint, it returns a detailed response containing the transaction ID, linking information, authentication details, and any errors that occurred. This ensures that HIUs have the necessary information to manage patient care effectively. The access token from POST /api/hiecm/gateway/v3/sessions, sent with a Unique UUID for track the end to end request transaction Actual time of the request was initiated, ISO 8601 represents date and time by starting with the year, followed by the month, the day, the hour, the minutes, seconds and milliseconds Identifier of the health information user to which the request was intended UUID from discover request callback to track the entire user link flow The link reference number. Allows alpha numeric characters and special characters like "^[a-zA-Z0-9_\\-@,. ()/:\\\\]{0,255}$" The authenticationType. Allows alpha numeric characters and special characters like "^[a-zA-Z0-9_\\-@,. \"':|()/]{0,255}$" One of The communication medium. Allows alpha numeric characters and special characters like"^[a-zA-Z0-9_\\-@,. \"':|()/]{0,255}$ One of The communication hint. Allows alpha numeric characters and special characters like "^[a-zA-Z0-9_\\-@,. \"':|()/]{0,255}$ The communication expiry date. Should be UTC date in ISO format.Allows alpha numeric characters and special characters like "^[a-zA-Z0-9_\\-@,. \"':|()/]{0,255}$ The error code and message, if any occurred. ABDM-1001 - No data found. May be returned either bare ( The appropriate error message The request id is from the link/init callback The request id that was passed.Allows alpha numeric characters and special characters like "^[0-9a-fA-F]{8}\\b-[0-9a-fA-F]{4}\\b-[0-9a-fA-F]{4}\\b-[0-9a-fA-F]{4}\\b-[0-9a-fA-F]{12}" OK Bad Request The error code and message, if any occurred. ABDM-1107 - Duplicate On init request. May be returned either bare or with a trailing ": " separator; match on the code itself and tolerate the separator. Unauthorized 900901 - Invalid Credentials. May be returned either bare or with a trailing ": " separator; match on the code itself and tolerate the separator. Internal Server Error The error code and message, if any occurred. The request id that was passed.Allows alpha numeric characters and special characters like "^[0-9a-fA-F]{8}\\b-[0-9a-fA-F]{4}\\b-[0-9a-fA-F]{4}\\b-[0-9a-fA-F]{4}\\b-[0-9a-fA-F]{12}"Authorizations
Authorizationbearer tokenRequiredBearer prefix.Headers
REQUEST-IDstringRequiredTIMESTAMPstringRequiredX-HIU-IDstringRequiredBody
transactionIdstringRequiredlinkobjectRequiredlink.referenceNumberstringRequiredlink.authenticationTypestringRequiredDIRECTMEDIATEDlink.metaobjectRequiredlink.meta.communicationMediumstringRequiredMOBILEEMAILlink.meta.communicationHintstringRequiredlink.meta.communicationExpirystringRequirederrorobjecterror.codestringRequiredABDM-1001) or with a trailing ": " separator (ABDM-1001: ); match on the code itself and tolerate the separator.error.messagestringRequiredresponseobjectRequiredresponse.requestIdstringRequiredResponses
200400errorobjecterror.codestringRequirederror.messagestringRequired401codestringmessagestringdescriptionstring500timestampnumberRequiredpathstringRequiredstatusintegerRequirederrorstringRequiredrequestIdstringRequired
Where this fits
You produce this callback by calling This API will be invoked by the patient/user to link his/her health records..